
Infrastructure - Task #1612

Story # 1486 (Closed): Create Session Management system

Change CILogon to call IdentityService

2011-05-31 17:18 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: CCI-0.6.2 Story Points:  

Product Version: *   

Description

CILogon should call the d1_identity service to obtain user attributes for an authenticated user, and then embed these in the certificate

that is produced for the user.  The CILogon service will be authorized to access the identity service.  The identity service will return a

Session object serialized as XML that can be included directly in the X.509 certificate.

History

#1 - 2011-07-11 18:24 - Ben Leinfelder

- Status changed from New to In Progress

- Milestone set to CCI-0.6.2

CertificateManager is currently calling d1_identity service to collect the necessary information. We may have CILogon make these calls to reduce the

load on the CNs, but not right now.

#2 - 2011-07-11 18:24 - Ben Leinfelder

- Status changed from In Progress to Closed

#3 - 2011-10-28 22:02 - Ben Leinfelder

https://test.cilogon.org/?skin=DataONE is now returning certificates with SubjectInfo XML included as an extension. There is a libclient

CertificateManager method to extract this information if it is included. MNs and CNs that need to check for authorization need not call the CNIdentity

service to find out alternate identities -- they are included in the certificate contents.
